//================================================================================
// Copyright (C) NAB 2009
//================================================================================
// Copyright (C) 2009 National Australia Bank Ltd [All rights reserved].
// This product and related documentation are protected by copyright
// restricting its use, copying, distribution, and decompilation.
// No part of this product or related documentation may be reproduced
// in any form by any means without prior written authorization of
// National Australia Bank Ltd. No part of this product can be sold,
// leased, hired out, licensed or circulated in any way without the
// written authorization of National Australia Bank Ltd.
// Unless otherwise arranged, third parties may not have access to
// this product or related documents.
//================================================================================

/// @file

#if !defined nab_Printable_h
#define nab_Printable_h

#include <ostream>

namespace nab
{

		/// Base class for printable objects.
		/// This provides a common interface for all printable objects
	struct Printable
	{
			/// Print the object to the specified output stream
			/// @param os The output stream
		virtual void print(std::ostream& os) const = 0;
	};
}

#endif // nab_Printable_h

//================================================================================
// Copyright (C) NAB 2009
//================================================================================
